
---
title: "Foo"
title_tag: "example.Foo"
meta_desc: "Documentation for the example.Foo resource with examples, input properties, output properties, lookup functions, and supporting types."
---



<!-- WARNING: this file was generated by test. -->
<!-- Do not edit by hand unless you're certain you know what you are doing! -->




## Create a Foo Resource {#create}
{{< chooser language "typescript,python,go,csharp" / >}}


{{% choosable language nodejs %}}
<div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript"><span class="k">new </span><span class="nx">Foo</span><span class="p">(</span><span class="nx">name</span><span class="p">:</span> <span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p">?:</span> <span class="nx"><a href="#inputs">FooArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p">?:</span> <span class="nx"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span><span class="p">);</span></code></pre></div>
{{% /choosable %}}

{{% choosable language python %}}
<div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class=nd>@overload</span>
<span class="k">def </span><span class="nx">Foo</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
        <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">)</span>
<span class=nd>@overload</span>
<span class="k">def </span><span class="nx">Foo</span><span class="p">(</span><span class="nx">resource_name</span><span class="p">:</span> <span class="nx">str</span><span class="p">,</span>
        <span class="nx">args</span><span class="p">:</span> <span class="nx"><a href="#inputs">Optional[FooArgs]</a></span> = None<span class="p">,</span>
        <span class="nx">opts</span><span class="p">:</span> <span class="nx"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">Optional[ResourceOptions]</a></span> = None<span class="p">)</span></code></pre></div>
{{% /choosable %}}

{{% choosable language go %}}
<div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func </span><span class="nx">NewFoo</span><span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">name</span><span class="p"> </span><span class="nx">string</span><span class="p">,</span> <span class="nx">args</span><span class="p"> *</span><span class="nx"><a href="#inputs">FooArgs</a></span><span class="p">,</span> <span class="nx">opts</span><span class="p"> ...</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span><span class="p">) (*<span class="nx">Foo</span>, error)</span></code></pre></div>
{{% /choosable %}}

{{% choosable language csharp %}}
<div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span><span class="nx">Foo</span><span class="p">(</span><span class="nx">string</span><span class="p"> </span><span class="nx">name<span class="p">,</span> <span class="nx"><a href="#inputs">FooArgs</a></span><span class="p">? </span><span class="nx">args = null<span class="p">,</span> <span class="nx"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span><span class="p">? </span><span class="nx">opts = null<span class="p">)</span></code></pre></div>
{{% /choosable %}}

{{% choosable language nodejs %}}

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">FooArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/nodejs/pulumi/pulumi/#CustomResourceOptions">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

{{% /choosable %}}

{{% choosable language python %}}

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>resource_name</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">FooArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/python/pulumi/#pulumi.ResourceOptions">ResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

{{% /choosable %}}

{{% choosable language go %}}

<dl class="resources-properties"><dt
        class="property-optional" title="Optional">
        <span>ctx</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span>
    </dt>
    <dd>Context object for the current deployment.</dd><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">FooArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#ResourceOption">ResourceOption</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

{{% /choosable %}}

{{% choosable language csharp %}}

<dl class="resources-properties"><dt
        class="property-required" title="Required">
        <span>name</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>The unique name of the resource.</dd><dt
        class="property-optional" title="Optional">
        <span>args</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#inputs">FooArgs</a></span>
    </dt>
    <dd>The arguments to resource properties.</dd><dt
        class="property-optional" title="Optional">
        <span>opts</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="/docs/reference/pkg/dotnet/Pulumi/Pulumi.CustomResourceOptions.html">CustomResourceOptions</a></span>
    </dt>
    <dd>Bag of options to control resource&#39;s behavior.</dd></dl>

{{% /choosable %}}

## Foo Resource Properties {#properties}

To learn more about resource properties and how to use them, see [Inputs and Outputs]({{< relref "/docs/intro/concepts/inputs-outputs" >}}) in the Architecture and Concepts docs.

### Inputs

The Foo resource accepts the following [input]({{< relref "/docs/intro/concepts/inputs-outputs" >}}) properties:



{{% choosable language csharp %}}
<dl class="resources-properties"></dl>
{{% /choosable %}}

{{% choosable language go %}}
<dl class="resources-properties"></dl>
{{% /choosable %}}

{{% choosable language nodejs %}}
<dl class="resources-properties"></dl>
{{% /choosable %}}

{{% choosable language python %}}
<dl class="resources-properties"></dl>
{{% /choosable %}}


### Outputs

All [input](#inputs) properties are implicitly available as output properties. Additionally, the Foo resource produces the following output properties:



{{% choosable language csharp %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_csharp">
<a href="#id_csharp" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}The provider-assigned unique ID for this managed resource.{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language go %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_go">
<a href="#id_go" style="color: inherit; text-decoration: inherit;">Id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}The provider-assigned unique ID for this managed resource.{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language nodejs %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_nodejs">
<a href="#id_nodejs" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}The provider-assigned unique ID for this managed resource.{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language python %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="id_python">
<a href="#id_python" style="color: inherit; text-decoration: inherit;">id</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}The provider-assigned unique ID for this managed resource.{{% /md %}}</dd></dl>
{{% /choosable %}}


## Foo Resource Methods {#methods}


### Bar Method {#method_Bar}

A description of bar.



#### Using Bar

{{< chooser language "typescript,python,go,csharp" / >}}


{{% choosable language nodejs %}}
<div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript">bar<span class="p">(</span><span class="nx">args</span><span class="p">:</span> <span class="nx">Foo.BarArgs</span><span class="p">): Output&lt;<span class="nx"><a href="#method_Bar_result">Foo.BarResult</a></span>&gt;</span></code></pre></div>
{{% /choosable %}}


{{% choosable language python %}}
<div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class="k">def </span>bar(</span><span class="nx">self</span><span class="p">,</span>
        <span class="nx">baz_required</span><span class="p">:</span> <span class="nx">pulumi.Input[_nested.BazArgs]</span><span class="p">,</span>
        <span class="nx">bool_value_required</span><span class="p">:</span> <span class="nx">pulumi.Input[bool]</span><span class="p">,</span>
        <span class="nx">name_required</span><span class="p">:</span> <span class="nx">pulumi.Input[pulumi_random.RandomPet]</span><span class="p">,</span>
        <span class="nx">string_value_required</span><span class="p">:</span> <span class="nx">pulumi.Input[str]</span><span class="p">,</span>
        <span class="nx">baz</span><span class="p">:</span> <span class="nx">Optional[pulumi.Input[_nested.BazArgs]]</span> = None<span class="p">,</span>
        <span class="nx">baz_plain</span><span class="p">:</span> <span class="nx">Optional[_nested.BazArgs]</span> = None<span class="p">,</span>
        <span class="nx">bool_value</span><span class="p">:</span> <span class="nx">Optional[pulumi.Input[bool]]</span> = None<span class="p">,</span>
        <span class="nx">bool_value_plain</span><span class="p">:</span> <span class="nx">Optional[bool]</span> = None<span class="p">,</span>
        <span class="nx">name</span><span class="p">:</span> <span class="nx">Optional[pulumi.Input[pulumi_random.RandomPet]]</span> = None<span class="p">,</span>
        <span class="nx">name_plain</span><span class="p">:</span> <span class="nx">Optional[pulumi_random.RandomPet]</span> = None<span class="p">,</span>
        <span class="nx">string_value</span><span class="p">:</span> <span class="nx">Optional[pulumi.Input[str]]</span> = None<span class="p">,</span>
        <span class="nx">string_value_plain</span><span class="p">:</span> <span class="nx">Optional[str]</span> = None<span class="p">) -&gt;</span> Output[<span class="nx"><a href="#method_Bar_result">Foo.BarResult</a></span>]</code></pre></div>
{{% /choosable %}}


{{% choosable language go %}}
<div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func</span> <span class="p">(r *Foo)</span> Bar<span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">args</span><span class="p"> </span><span class="nx">FooBarArgs</span><span class="p">) (<span class="nx"><a href="#method_Bar_result">FooBarResultOutput</a></span>, error)</span></code></pre></div>
{{% /choosable %}}


{{% choosable language csharp %}}
<div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span>Output&lt;<span class="nx"><a href="#method_Bar_result">Foo.BarResult</a></span>&gt; <span class="nx">Bar</span><span class="p">(<span class="nx">Foo.BarArgs</span><span class="p"> </span><span class="nx">args)</span></code></pre></div>
{{% /choosable %}}



The following arguments are supported:


{{% choosable language csharp %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="bar_arg_bazrequired_csharp">
<a href="#bar_arg_bazrequired_csharp" style="color: inherit; text-decoration: inherit;">Baz<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Pulumi.<wbr>Example.<wbr>Nested.<wbr>Inputs.<wbr>Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_boolvaluerequired_csharp">
<a href="#bar_arg_boolvaluerequired_csharp" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_namerequired_csharp">
<a href="#bar_arg_namerequired_csharp" style="color: inherit; text-decoration: inherit;">Name<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Pulumi.<wbr>Random.<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_stringvaluerequired_csharp">
<a href="#bar_arg_stringvaluerequired_csharp" style="color: inherit; text-decoration: inherit;">String<wbr>Value<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_baz_csharp">
<a href="#bar_arg_baz_csharp" style="color: inherit; text-decoration: inherit;">Baz</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Pulumi.<wbr>Example.<wbr>Nested.<wbr>Inputs.<wbr>Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_bazplain_csharp">
<a href="#bar_arg_bazplain_csharp" style="color: inherit; text-decoration: inherit;">Baz<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Pulumi.<wbr>Example.<wbr>Nested.<wbr>Inputs.<wbr>Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_boolvalue_csharp">
<a href="#bar_arg_boolvalue_csharp" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_boolvalueplain_csharp">
<a href="#bar_arg_boolvalueplain_csharp" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_name_csharp">
<a href="#bar_arg_name_csharp" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Pulumi.<wbr>Random.<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_nameplain_csharp">
<a href="#bar_arg_nameplain_csharp" style="color: inherit; text-decoration: inherit;">Name<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Pulumi.<wbr>Random.<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_stringvalue_csharp">
<a href="#bar_arg_stringvalue_csharp" style="color: inherit; text-decoration: inherit;">String<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_stringvalueplain_csharp">
<a href="#bar_arg_stringvalueplain_csharp" style="color: inherit; text-decoration: inherit;">String<wbr>Value<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language go %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="bar_arg_bazrequired_go">
<a href="#bar_arg_bazrequired_go" style="color: inherit; text-decoration: inherit;">Baz<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_boolvaluerequired_go">
<a href="#bar_arg_boolvaluerequired_go" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_namerequired_go">
<a href="#bar_arg_namerequired_go" style="color: inherit; text-decoration: inherit;">Name<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_stringvaluerequired_go">
<a href="#bar_arg_stringvaluerequired_go" style="color: inherit; text-decoration: inherit;">String<wbr>Value<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_baz_go">
<a href="#bar_arg_baz_go" style="color: inherit; text-decoration: inherit;">Baz</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_bazplain_go">
<a href="#bar_arg_bazplain_go" style="color: inherit; text-decoration: inherit;">Baz<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_boolvalue_go">
<a href="#bar_arg_boolvalue_go" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_boolvalueplain_go">
<a href="#bar_arg_boolvalueplain_go" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_name_go">
<a href="#bar_arg_name_go" style="color: inherit; text-decoration: inherit;">Name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_nameplain_go">
<a href="#bar_arg_nameplain_go" style="color: inherit; text-decoration: inherit;">Name<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_stringvalue_go">
<a href="#bar_arg_stringvalue_go" style="color: inherit; text-decoration: inherit;">String<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_stringvalueplain_go">
<a href="#bar_arg_stringvalueplain_go" style="color: inherit; text-decoration: inherit;">String<wbr>Value<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language nodejs %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="bar_arg_bazrequired_nodejs">
<a href="#bar_arg_bazrequired_nodejs" style="color: inherit; text-decoration: inherit;">baz<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">nested<wbr>Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_boolvaluerequired_nodejs">
<a href="#bar_arg_boolvaluerequired_nodejs" style="color: inherit; text-decoration: inherit;">bool<wbr>Value<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_namerequired_nodejs">
<a href="#bar_arg_namerequired_nodejs" style="color: inherit; text-decoration: inherit;">name<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi<wbr>Random<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_stringvaluerequired_nodejs">
<a href="#bar_arg_stringvaluerequired_nodejs" style="color: inherit; text-decoration: inherit;">string<wbr>Value<wbr>Required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_baz_nodejs">
<a href="#bar_arg_baz_nodejs" style="color: inherit; text-decoration: inherit;">baz</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">nested<wbr>Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_bazplain_nodejs">
<a href="#bar_arg_bazplain_nodejs" style="color: inherit; text-decoration: inherit;">baz<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">nested<wbr>Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_boolvalue_nodejs">
<a href="#bar_arg_boolvalue_nodejs" style="color: inherit; text-decoration: inherit;">bool<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_boolvalueplain_nodejs">
<a href="#bar_arg_boolvalueplain_nodejs" style="color: inherit; text-decoration: inherit;">bool<wbr>Value<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_name_nodejs">
<a href="#bar_arg_name_nodejs" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi<wbr>Random<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_nameplain_nodejs">
<a href="#bar_arg_nameplain_nodejs" style="color: inherit; text-decoration: inherit;">name<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">pulumi<wbr>Random<wbr>Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_stringvalue_nodejs">
<a href="#bar_arg_stringvalue_nodejs" style="color: inherit; text-decoration: inherit;">string<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_stringvalueplain_nodejs">
<a href="#bar_arg_stringvalueplain_nodejs" style="color: inherit; text-decoration: inherit;">string<wbr>Value<wbr>Plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language python %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="bar_arg_baz_required_python">
<a href="#bar_arg_baz_required_python" style="color: inherit; text-decoration: inherit;">baz_<wbr>required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_bool_value_required_python">
<a href="#bar_arg_bool_value_required_python" style="color: inherit; text-decoration: inherit;">bool_<wbr>value_<wbr>required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_name_required_python">
<a href="#bar_arg_name_required_python" style="color: inherit; text-decoration: inherit;">name_<wbr>required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-required"
            title="Required">
        <span id="bar_arg_string_value_required_python">
<a href="#bar_arg_string_value_required_python" style="color: inherit; text-decoration: inherit;">string_<wbr>value_<wbr>required</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_baz_python">
<a href="#bar_arg_baz_python" style="color: inherit; text-decoration: inherit;">baz</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_baz_plain_python">
<a href="#bar_arg_baz_plain_python" style="color: inherit; text-decoration: inherit;">baz_<wbr>plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type"><a href="#baz">Baz</a></span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_bool_value_python">
<a href="#bar_arg_bool_value_python" style="color: inherit; text-decoration: inherit;">bool_<wbr>value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_bool_value_plain_python">
<a href="#bar_arg_bool_value_plain_python" style="color: inherit; text-decoration: inherit;">bool_<wbr>value_<wbr>plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_name_python">
<a href="#bar_arg_name_python" style="color: inherit; text-decoration: inherit;">name</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_name_plain_python">
<a href="#bar_arg_name_plain_python" style="color: inherit; text-decoration: inherit;">name_<wbr>plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">Random<wbr>Pet</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_string_value_python">
<a href="#bar_arg_string_value_python" style="color: inherit; text-decoration: inherit;">string_<wbr>value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="bar_arg_string_value_plain_python">
<a href="#bar_arg_string_value_plain_python" style="color: inherit; text-decoration: inherit;">string_<wbr>value_<wbr>plain</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}



#### Bar Result {#method_Bar_result}


{{% choosable language csharp %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="bar_result_somevalue_csharp">
<a href="#bar_result_somevalue_csharp" style="color: inherit; text-decoration: inherit;">Some<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language go %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="bar_result_somevalue_go">
<a href="#bar_result_somevalue_go" style="color: inherit; text-decoration: inherit;">Some<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language nodejs %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="bar_result_somevalue_nodejs">
<a href="#bar_result_somevalue_nodejs" style="color: inherit; text-decoration: inherit;">some<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language python %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="bar_result_some_value_python">
<a href="#bar_result_some_value_python" style="color: inherit; text-decoration: inherit;">some_<wbr>value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}



### Baz Method {#method_Baz}



#### Using Baz

{{< chooser language "typescript,python,go,csharp" / >}}


{{% choosable language nodejs %}}
<div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript">baz<span class="p">(</span><span class="p">): void</span></code></pre></div>
{{% /choosable %}}


{{% choosable language python %}}
<div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class="k">def </span>baz(</span><span class="p">) -&gt;</span> None</code></pre></div>
{{% /choosable %}}


{{% choosable language go %}}
<div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func</span> <span class="p">(r *Foo)</span> Baz<span class="p">(</span><span class="p">) error</span></code></pre></div>
{{% /choosable %}}


{{% choosable language csharp %}}
<div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span>void <span class="nx">Baz</span><span class="p">()</span></code></pre></div>
{{% /choosable %}}






### GenerateKubeconfig Method {#method_GenerateKubeconfig}

Do something with something else



#### Using GenerateKubeconfig

{{< chooser language "typescript,python,go,csharp" / >}}


{{% choosable language nodejs %}}
<div class="highlight"><pre class="chroma"><code class="language-typescript" data-lang="typescript">generateKubeconfig<span class="p">(</span><span class="nx">args</span><span class="p">:</span> <span class="nx">Foo.GenerateKubeconfigArgs</span><span class="p">): Output&lt;<span class="nx"><a href="#method_GenerateKubeconfig_result">Foo.GenerateKubeconfigResult</a></span>&gt;</span></code></pre></div>
{{% /choosable %}}


{{% choosable language python %}}
<div class="highlight"><pre class="chroma"><code class="language-python" data-lang="python"><span class="k">def </span>generate_kubeconfig(</span><span class="nx">self</span><span class="p">,</span>
                        <span class="nx">bool_value</span><span class="p">:</span> <span class="nx">bool</span><span class="p">) -&gt;</span> Output[<span class="nx"><a href="#method_GenerateKubeconfig_result">Foo.Generate_kubeconfigResult</a></span>]</code></pre></div>
{{% /choosable %}}


{{% choosable language go %}}
<div class="highlight"><pre class="chroma"><code class="language-go" data-lang="go"><span class="k">func</span> <span class="p">(r *Foo)</span> GenerateKubeconfig<span class="p">(</span><span class="nx">ctx</span><span class="p"> *</span><span class="nx"><a href="https://pkg.go.dev/github.com/pulumi/pulumi/sdk/v3/go/pulumi?tab=doc#Context">Context</a></span><span class="p">,</span> <span class="nx">args</span><span class="p"> </span><span class="nx">FooGenerateKubeconfigArgs</span><span class="p">) (<span class="nx"><a href="#method_GenerateKubeconfig_result">FooGenerateKubeconfigResultOutput</a></span>, error)</span></code></pre></div>
{{% /choosable %}}


{{% choosable language csharp %}}
<div class="highlight"><pre class="chroma"><code class="language-csharp" data-lang="csharp"><span class="k">public </span>Output&lt;<span class="nx"><a href="#method_GenerateKubeconfig_result">Foo.GenerateKubeconfigResult</a></span>&gt; <span class="nx">GenerateKubeconfig</span><span class="p">(<span class="nx">Foo.GenerateKubeconfigArgs</span><span class="p"> </span><span class="nx">args)</span></code></pre></div>
{{% /choosable %}}



The following arguments are supported:


{{% choosable language csharp %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="generateKubeconfig_arg_boolvalue_csharp">
<a href="#generateKubeconfig_arg_boolvalue_csharp" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language go %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="generateKubeconfig_arg_boolvalue_go">
<a href="#generateKubeconfig_arg_boolvalue_go" style="color: inherit; text-decoration: inherit;">Bool<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language nodejs %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="generateKubeconfig_arg_boolvalue_nodejs">
<a href="#generateKubeconfig_arg_boolvalue_nodejs" style="color: inherit; text-decoration: inherit;">bool<wbr>Value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">boolean</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language python %}}
<dl class="resources-properties"><dt class="property-required"
            title="Required">
        <span id="generateKubeconfig_arg_bool_value_python">
<a href="#generateKubeconfig_arg_bool_value_python" style="color: inherit; text-decoration: inherit;">bool_<wbr>value</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">bool</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}



#### GenerateKubeconfig Result {#method_GenerateKubeconfig_result}


{{% choosable language csharp %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="generateKubeconfig_result_kubeconfig_csharp">
<a href="#generateKubeconfig_result_kubeconfig_csharp" style="color: inherit; text-decoration: inherit;">Kubeconfig</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language go %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="generateKubeconfig_result_kubeconfig_go">
<a href="#generateKubeconfig_result_kubeconfig_go" style="color: inherit; text-decoration: inherit;">Kubeconfig</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language nodejs %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="generateKubeconfig_result_kubeconfig_nodejs">
<a href="#generateKubeconfig_result_kubeconfig_nodejs" style="color: inherit; text-decoration: inherit;">kubeconfig</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language python %}}
<dl class="resources-properties"><dt class="property-"
            title="">
        <span id="generateKubeconfig_result_kubeconfig_python">
<a href="#generateKubeconfig_result_kubeconfig_python" style="color: inherit; text-decoration: inherit;">kubeconfig</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}








## Supporting Types



<h4 id="baz">Baz</h4>

{{% choosable language csharp %}}
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="hello_csharp">
<a href="#hello_csharp" style="color: inherit; text-decoration: inherit;">Hello</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="world_csharp">
<a href="#world_csharp" style="color: inherit; text-decoration: inherit;">World</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language go %}}
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="hello_go">
<a href="#hello_go" style="color: inherit; text-decoration: inherit;">Hello</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="world_go">
<a href="#world_go" style="color: inherit; text-decoration: inherit;">World</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language nodejs %}}
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="hello_nodejs">
<a href="#hello_nodejs" style="color: inherit; text-decoration: inherit;">hello</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="world_nodejs">
<a href="#world_nodejs" style="color: inherit; text-decoration: inherit;">world</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">string</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}

{{% choosable language python %}}
<dl class="resources-properties"><dt class="property-optional"
            title="Optional">
        <span id="hello_python">
<a href="#hello_python" style="color: inherit; text-decoration: inherit;">hello</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd><dt class="property-optional"
            title="Optional">
        <span id="world_python">
<a href="#world_python" style="color: inherit; text-decoration: inherit;">world</a>
</span>
        <span class="property-indicator"></span>
        <span class="property-type">str</span>
    </dt>
    <dd>{{% md %}}{{% /md %}}</dd></dl>
{{% /choosable %}}


<h2 id="package-details">Package Details</h2>
<dl class="package-details">
	<dt>Repository</dt>
	<dd><a href=""></a></dd>
	<dt>License</dt>
	<dd></dd>
</dl>

